GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/cris-linux-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "linux-tdep.h"`
`#include "solib-svr4.h"`
`#include "symtab.h"`
`#include "cris-tdep.h"`

Go to the source code of this file.

## Functions
static void | cris_linux_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_cris_linux_tdep (void)

## Function Documentation

## ◆ _initialize_cris_linux_tdep()

void _initialize_cris_linux_tdep | ( | void |  | ) |

Definition at line 50 of file cris-linux-tdep.c.

References cris_linux_init_abi(), GDB_OSABI_LINUX, and gdbarch_register_osabi().

## ◆ cris_linux_init_abi()

static void cris_linux_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 33 of file cris-linux-tdep.c.

References gdbarch_tdep::cris_version, gdbarch_tdep(), linux_init_abi(), set_gdbarch_fetch_tls_load_module_address(), set_solib_svr4_fetch_link_map_offsets(), svr4_fetch_objfile_link_map(), and svr4_ilp32_fetch_link_map_offsets().

Referenced by _initialize_cris_linux_tdep().